Bug 248398

Summary: fully virtualized hvm domain hangs during install
Product: [Fedora] Fedora Reporter: Jared Brothers <jbrothers>
Component: xenAssignee: Daniel Berrange <berrange>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 7CC: berrange, triage, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 21:53:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
output of `sudo virsh dumpxml hvm`
none
Fix for the bug none

Description Jared Brothers 2007-07-16 13:11:54 EDT
Description of problem:
Using either virt-install or virt-manager to create a new HVM domain
does not complete. The VNC window opened by the installer contains a
blank, black screen. Closing the window prints this error:
"Domain installation still in progress.  You can reconnect 
to the console to complete the installation process."
The virtual console is also blank, and `virsh console hvm` prints
nothing and waits. The assigned cpu is pegged until the vm is deleted.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.20-2925.11.fc7
xen-3.1.0-2.fc7
libvirt-0.3.0-1.fc7
python-virtinst-0.103.0-3.fc7
virt-manager-0.4.0-2.fc7

How reproducible:
Always.

Steps to Reproduce:
1. sudo virt-install --debug --vnc -v -n hvm -r 500 -f /dev/vg0/hvm -s 4 -c
/root/F-7-x86_64-DVD.iso
2. (or the equivalent using virt-manager gui)
3. 

Actual results:
No available console and cpu pegged.

Expected results:
New HVM domain ready for install.

Additional info:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 15
model name      : Intel(R) Core(TM)2 Duo CPU     E6850  @ 3.00GHz
stepping        : 11
cpu MHz         : 2992.502
cache size      : 4096 KB
physical id     : 0
siblings        : 1
core id         : 0
cpu cores       : 1
fpu             : yes
fpu_exception   : yes
cpuid level     : 10
wp              : yes
flags           : fpu tsc msr pae mce cx8 apic mtrr mca cmov pat pse36 clflush
dts acpi mmx fxsr sse sse2 ss ht tm syscall nx lm constant_tsc pni monitor
ds_cpl vmx smx est tm2 ssse3 cx16 xtpr lahf_lm
bogomips        : 7485.95
clflush size    : 64
cache_alignment : 64
address sizes   : 36 bits physical, 48 bits virtual
power management:

and another.
Comment 1 Jared Brothers 2007-07-16 14:12:25 EDT
Created attachment 159348 [details]
output of `sudo virsh dumpxml hvm`

 Id Name		 State
----------------------------------
  0 Domain-0		 running
 11 hvm 		 running
Comment 2 Eduardo Habkost 2007-09-11 15:23:33 EDT
This seems to be a problem that appeared when the bootloader on the Fedora 
install disk was changed to run some code in 32-bit mode. Patches were sent to 
xen upstream, but it wasn't included yet on Fedora (it seems to be present on 
xen-unstable, however).

Do you have a Fedora Core 6 install disk, just to check if it is really that 
problem? If FC-6 install disk boots, we know what the problem is. If FC-6 
doesn't boot, it is probably a different problem (that will need more 
investigation).
Comment 3 Eduardo Habkost 2007-09-13 16:11:01 EDT
Created attachment 195201 [details]
Fix for the bug

Attached patch that should be added to xen package. Backport of xen-unstable
changeset 15239:656b8175f4f2.
Comment 4 Eduardo Habkost 2007-09-13 16:14:04 EDT
The hypervisor-side of the fix for this was added to Rawhide and F-7.

Build tasks:

- Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=158092
- F-7: http://koji.fedoraproject.org/koji/taskinfo?taskID=158088

The Rawhide package should be available soon after the build task finishes. 
The F-7 fix will go to the next F-7 kernel-xen update.

The patch attached to this bug needs to be added to the 'xen' package, to 
complete the fix.
Comment 5 Eduardo Habkost 2007-09-21 14:15:35 EDT
Reassigning to Daniel Berrange, for the 'xen' package side of the fix.
Comment 6 Fedora Update System 2007-09-25 04:25:05 EDT
kernel-xen-2.6-2.6.20-2936.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-09-28 17:25:05 EDT
kernel-xen-2.6-2.6.20-2936.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Bug Zapper 2008-05-14 09:33:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2008-06-16 21:53:26 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.